Bug 862978 - Error: unsupported locale setting
Error: unsupported locale setting
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:8af9834cddc0e55ad9a03c10d5b...
:
Depends On: 858591
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 01:46 EDT by Steve Tyler
Modified: 2012-12-07 14:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-07 14:46:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (131 bytes, text/plain)
2012-10-04 01:47 EDT, Steve Tyler
no flags Details
File: other involved packages (73 bytes, text/plain)
2012-10-04 01:47 EDT, Steve Tyler
no flags Details
File: type (9 bytes, text/plain)
2012-10-04 01:47 EDT, Steve Tyler
no flags Details
File: release (33 bytes, text/plain)
2012-10-04 01:47 EDT, Steve Tyler
no flags Details
File: product (8 bytes, text/plain)
2012-10-04 01:47 EDT, Steve Tyler
no flags Details
File: hashmarkername (9 bytes, text/plain)
2012-10-04 01:47 EDT, Steve Tyler
no flags Details
File: firstboot-tb (4.39 KB, text/plain)
2012-10-04 01:47 EDT, Steve Tyler
no flags Details
File: version (2 bytes, text/plain)
2012-10-04 01:47 EDT, Steve Tyler
no flags Details
/var/log/messages (68.83 KB, text/plain)
2012-10-04 01:55 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-10-04 01:46:59 EDT
Description of problem:
This appears to be related to invalid locales.

Version-Release number of selected component:
firstboot-18.3-1.fc18.x86_64

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /usr/sbin/firstboot
kernel:         3.6.0-0.rc6.git0.2.fc18.x86_64

description:
:Traceback from firstboot:
:firstboot 18.3 exception report
:Traceback (most recent call last):
:  File "/usr/share/system-config-date/scdMainWindow.py", line 203, in custom_handler
:    return module.custom_widgets[function_name] (glade)
:  File "/usr/share/system-config-date/timezone_gui.py", line 40, in timezone_widget_create
:    widget = TimezoneMap(zonetab.ZoneTab (), default, map=mappath, tzActionLabel = tzActionLabel)
:  File "/usr/lib/python2.7/site-packages/scdate/core/zonetab.py", line 153, in __init__
:    self.readZoneTab (fn)
:  File "/usr/lib/python2.7/site-packages/scdate/core/zonetab.py", line 218, in readZoneTab
:    entry = ZoneTabEntry (code, lat, long, tz, comments)
:  File "/usr/lib/python2.7/site-packages/scdate/core/zonetab.py", line 59, in __init__
:    self.tz = tz.replace ('_', ' ')
:  File "/usr/lib/python2.7/site-packages/scdate/core/zonetab.py", line 127, in _set_tz
:    self.__translate_tz()
:  File "/usr/lib/python2.7/site-packages/scdate/core/zonetab.py", line 85, in __translate_tz
:    locale.setlocale(locale.LC_ALL, "")
:  File "/usr/lib64/python2.7/locale.py", line 539, in setlocale
:    return _setlocale(category, locale)
:Error: unsupported locale setting
Comment 1 Steve Tyler 2012-10-04 01:47:02 EDT
Created attachment 621337 [details]
File: environ
Comment 2 Steve Tyler 2012-10-04 01:47:03 EDT
Created attachment 621338 [details]
File: other involved packages
Comment 3 Steve Tyler 2012-10-04 01:47:04 EDT
Created attachment 621339 [details]
File: type
Comment 4 Steve Tyler 2012-10-04 01:47:06 EDT
Created attachment 621340 [details]
File: release
Comment 5 Steve Tyler 2012-10-04 01:47:08 EDT
Created attachment 621341 [details]
File: product
Comment 6 Steve Tyler 2012-10-04 01:47:10 EDT
Created attachment 621342 [details]
File: hashmarkername
Comment 7 Steve Tyler 2012-10-04 01:47:11 EDT
Created attachment 621343 [details]
File: firstboot-tb
Comment 8 Steve Tyler 2012-10-04 01:47:13 EDT
Created attachment 621344 [details]
File: version
Comment 9 Steve Tyler 2012-10-04 01:55:58 EDT
Created attachment 621346 [details]
/var/log/messages
Comment 10 Steve Tyler 2012-10-05 23:09:31 EDT
(In reply to comment #0)
> Description of problem:
> This appears to be related to invalid locales.

The attached environ file has:
LANG=en.UTF-8

"en.UTF-8" is an invalid locale:
Bug 858591 - anaconda setting invalid system locale xx.UTF-8 not xx_YY.UTF-8
Comment 11 Martin Sivák 2012-10-17 08:12:39 EDT
The traceback is all system-config-date..
Comment 12 Parag Nemade 2012-12-07 09:43:36 EST
I think this is fixed now.
Comment 13 Steve Tyler 2012-12-07 14:46:25 EST
This was fixed in system-config-date-1_9_68[1], although the changelog does not say so.

Verified with system-config-date-1_10_4 using:
$ LANG=en.UTF-8 system-config-date

Thanks.

Closing with resolution ERRATA.

[1] In this commit:
catch locale.setlocale() exceptions and warn instead
http://git.fedorahosted.org/cgit/system-config-date.git/commit/?id=368fdbe35da91d2cdd693684acd92915f7bc6c59

Note You need to log in before you can comment on or make changes to this bug.